summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Petar Petrov2011-10-20 02:19:50 +0200
committer Niels Horn2011-10-21 19:59:17 +0200
commitebd7439e5fc39e564516d4b7e76ca5be2533c3fd (patch)
treebc0e38e7ec2b45141c2050c59b141badb8206009
parent689264195c7f1e15673cd3b1696e0a6a2032683f (diff)
downloadslackbuilds-ebd7439e5fc39e564516d4b7e76ca5be2533c3fd.tar.gz
libraries/muParser: Added (A math parser library)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
-rw-r--r--libraries/muParser/README8
-rw-r--r--libraries/muParser/muParser.SlackBuild89
-rw-r--r--libraries/muParser/muParser.info10
-rw-r--r--libraries/muParser/slack-desc19
4 files changed, 126 insertions, 0 deletions
diff --git a/libraries/muParser/README b/libraries/muParser/README
new file mode 100644
index 0000000000..e9fe57223d
--- /dev/null
+++ b/libraries/muParser/README
@@ -0,0 +1,8 @@
+Many applications require the parsing of mathematical expressions.
+The main objective of this library is to provide a fast and easy way
+of doing this.
+
+muParser is an extensible high performance math expression parser
+library written in C++. It works by transforming a mathematical
+expression into bytecode and precalculating constant parts of the
+expression.
diff --git a/libraries/muParser/muParser.SlackBuild b/libraries/muParser/muParser.SlackBuild
new file mode 100644
index 0000000000..c67bfc4bf8
--- /dev/null
+++ b/libraries/muParser/muParser.SlackBuild
@@ -0,0 +1,89 @@
+#!/bin/sh
+
+# Slackware build script for muParser
+# Written by Petar Petrov, <ppetrov@paju.oulu.fi> and
+# hereby submitted to the public domain
+
+# THIS SLACKBUILD IS DISTRIBUTETD IN THE HOPE OF BEING
+# USEFUL BUT WITHOUT ANY WARRANTY. THE AUTHOR IS _NOT_
+# RESPONSIBLE FOR ANY DAMAGE OR DATA LOSS CAUSED BY IT.
+
+PRGNAM=muParser
+VERSION=${VERSION:-1.34}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM=$(echo $PRGNAM | tr A-Z a-z)
+SRCVER=v134
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) export ARCH=i486 ;;
+ arm*) export ARCH=arm ;;
+ *) export ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf ${SRCNAM}_$SRCVER
+tar xvf $CWD/${SRCNAM}_$SRCVER.tar.gz
+cd ${SRCNAM}_$SRCVER
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+LDFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --docdir=/usr/doc/$PRGNAM-$VERSION \
+ --build=$ARCH-slackware-linux
+
+make
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ docs/html/ Changes.txt Credits.txt Install.txt License.txt \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/muParser/muParser.info b/libraries/muParser/muParser.info
new file mode 100644
index 0000000000..97de01dd27
--- /dev/null
+++ b/libraries/muParser/muParser.info
@@ -0,0 +1,10 @@
+PRGNAM="muParser"
+VERSION="1.34"
+HOMEPAGE="http://muparser.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/muparser/muparser_v134.tar.gz"
+MD5SUM="0c4f4bf86aa2a5a737adc0e08cb77737"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Petar Petrov"
+EMAIL="ppetrov@paju.oulu.fi"
+APPROVED="Niels Horn"
diff --git a/libraries/muParser/slack-desc b/libraries/muParser/slack-desc
new file mode 100644
index 0000000000..4faaa1cec2
--- /dev/null
+++ b/libraries/muParser/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+muParser: muParser (A math parser library)
+muParser:
+muParser: muParser is an extensible high performance math expression parser
+muParser: library written in C++. It works by transforming a mathematical
+muParser: expression into bytecode and precalculating constant parts of the
+muParser: expression.
+muParser:
+muParser:
+muParser:
+muParser:
+muParser: Home: http://muparser.sourceforge.net/